适用于API级别<9的Android均衡器

我正在寻找一种方法来使用我的应用程序,不依赖于android.media.audiofx包尤其是android.media.audiofx的均衡器。 均衡器类,因为这些只能用于api级> 9。

有谁知道本机库在Android下工作得很好吗? 我发现mpg123,但似乎这个库很慢。 还是有没有本地图书馆实现均衡器的另一种方式?

Solutions Collecting From Web of "适用于API级别<9的Android均衡器"

我对此做了相当多的研究,发现为了做到这一点,你必须重写整个AudioTrack库。

如果你真的想要这样做的话,那将需要使用NDK最好的DSP。

否则,我只是写一个包装,告诉应用程序你在哪个API级别,并禁用这些function。

这是我在这个问题上写的摘要:

http://isthisonthetest.com/?q=node/12

希望这可以帮助!

编辑:

这个链接已经得到一些命中(和链接被打破),所以我redirect到一个博客文章,我刚才与原来的文字。 上面的url现在应该可以使用。